/*
 * SettingsGraphPanel.java
 *
 * Created on December 25, 2000, 3:40 PM
 */

package pharynx;
import java.util.*;

/**
 *
 * @author  leon@eatworms.swmed.edu
 * @version 0.1
 */
public class SettingsGraphPanel extends javax.swing.JPanel {
    private SimOptions options = new SimOptions();
    private List seriesPanels = new ArrayList();

    /** Creates new form SettingsGraphPanel */
    public SettingsGraphPanel() {
        initComponents();
        seriesPanels.add(particleGraphPanel1);
        seriesPanels.add(particleGraphPanel2);
        seriesPanels.add(particleGraphPanel3);
    }

    public void display(SimOptions o) {
        options = o;
        corpusMotionGraphPanel.display(options.corpusMotion, options.maxT);
        aIsthmusMotionGraphPanel.display(options.aIsthmusMotion, options.maxT);
        pIsthmusMotionGraphPanel.display(options.pIsthmusMotion, options.maxT);
        for(int i = 0; i < seriesPanels.size(); i++) {
            ParticleGraphPanel pgp = (ParticleGraphPanel) seriesPanels.get(i);
            pgp.display(options.getps(i), options.maxT);
        }
        repaint();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the FormEditor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        corpusMotionGraphPanel = new pharynx.MotionGraphPanel();
        aIsthmusMotionGraphPanel = new pharynx.MotionGraphPanel();
        pIsthmusMotionGraphPanel = new pharynx.MotionGraphPanel();
        allParticlesGraphPanel = new java.awt.Panel();
        particleGraphPanel1 = new pharynx.ParticleGraphPanel();
        particleGraphPanel2 = new pharynx.ParticleGraphPanel();
        particleGraphPanel3 = new pharynx.ParticleGraphPanel();
        setLayout(new javax.swing.BoxLayout(this, 1));
        
        corpusMotionGraphPanel.setPreferredSize(new java.awt.Dimension(10, 130));
        
        add(corpusMotionGraphPanel);
        
        
        aIsthmusMotionGraphPanel.setPreferredSize(new java.awt.Dimension(10, 130));
        
        add(aIsthmusMotionGraphPanel);
        
        
        pIsthmusMotionGraphPanel.setPreferredSize(new java.awt.Dimension(10, 130));
        
        add(pIsthmusMotionGraphPanel);
        
        
        allParticlesGraphPanel.setLayout(new javax.swing.BoxLayout(allParticlesGraphPanel, 1));
        allParticlesGraphPanel.setFont(new java.awt.Font ("Dialog", 0, 11));
        allParticlesGraphPanel.setBackground(new java.awt.Color (204, 204, 204));
        allParticlesGraphPanel.setForeground(java.awt.Color.black);
        
        particleGraphPanel1.setMaximumSize(new java.awt.Dimension(32767, 30));
          allParticlesGraphPanel.add(particleGraphPanel1);
          
          
        particleGraphPanel2.setMaximumSize(new java.awt.Dimension(32767, 30));
          allParticlesGraphPanel.add(particleGraphPanel2);
          
          
        particleGraphPanel3.setMaximumSize(new java.awt.Dimension(32767, 30));
          allParticlesGraphPanel.add(particleGraphPanel3);
          
          
        add(allParticlesGraphPanel);
        
    }//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private pharynx.MotionGraphPanel corpusMotionGraphPanel;
    private pharynx.MotionGraphPanel aIsthmusMotionGraphPanel;
    private pharynx.MotionGraphPanel pIsthmusMotionGraphPanel;
    private java.awt.Panel allParticlesGraphPanel;
    private pharynx.ParticleGraphPanel particleGraphPanel1;
    private pharynx.ParticleGraphPanel particleGraphPanel2;
    private pharynx.ParticleGraphPanel particleGraphPanel3;
    // End of variables declaration//GEN-END:variables

}
